math::TCalculator< T > Class Template Reference

`#include <calculator.h>`

Inheritance diagram for math::TCalculator< T >:
[legend]
Collaboration diagram for math::TCalculator< T >:
[legend]

## Static Public Member Functions

static T | calculate (const TFunction< T > &AFunction, const T &AParam, const TLibrary< T > &ALibrary, unsigned ARecursionLimit=64)
| calculates the functions result using given values.

## Additional Inherited Members

## Detailed Description

### template<class T>
class math::TCalculator< T >

TCalculator calculates functions results using given function and a library to use. You may also specify the recursion limit.

Definition at line 51 of file calculator.h.

The documentation for this class was generated from the following file:

- calculator.h